package se.su.dsv.scipro.mail;

import com.sun.mail.smtp.SMTPMessage;

import javax.mail.Address;
import javax.mail.MessagingException;

abstract class SMTPMailResult implements MailResult {
    private final SMTPMessage message;

    SMTPMailResult(final SMTPMessage message) {
        this.message = message;
    }

    Address[] getAllRecipients() {
        try {
            return message.getAllRecipients();
        } catch (MessagingException e) {
            throw new RuntimeException(e);
        }
    }

    @Override
    public String getMessageID() {
        try {
            return message.getMessageID();
        } catch (MessagingException e) {
            throw new Error(e); // This cant happen for SMTPMessages
        }
    }

}
