package se.su.dsv.scipro.report;

import lombok.EqualsAndHashCode;
import lombok.ToString;
import se.su.dsv.scipro.system.DomainObject;

import javax.persistence.*;

@ToString
@EqualsAndHashCode(callSuper = true)
@MappedSuperclass
@SuppressWarnings({"PMD.UnusedPrivateField", "PMD.SingularField"})
public abstract class AbstractCriterion extends DomainObject implements Comparable<AbstractCriterion> {
    @Id
    @GeneratedValue
    private Long id;

    @Basic(optional = false)
    private String title;

    @Basic(optional = false)
    private Integer sortOrder;

    protected AbstractCriterion() {
    }

    protected AbstractCriterion(String title, int sortOrder) {
        this.title = title;
        this.sortOrder = sortOrder;
    }

    @Override
    public int compareTo(AbstractCriterion o) {
        return this.getSortOrder().compareTo(o.getSortOrder());
    }

    public Long getId() {
        return this.id;
    }

    public String getTitle() {
        return this.title;
    }

    public Integer getSortOrder() {
        return this.sortOrder;
    }
}
