package se.su.dsv.scipro.reviewing;

import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.project.Project;

import javax.persistence.Entity;

@Entity
@SuppressWarnings("PMD.UnusedPrivateField")
public class RoughDraftApproval extends ReviewerApproval {

    protected RoughDraftApproval() {}

    public RoughDraftApproval(final Project project, final FileDescription thesis, final String comment) {
        this.project = project;
        this.decisions.add(new Decision(this, thesis, comment));
    }

    @Override
    public Step getStep() {
        return Step.ROUGH_DRAFT_APPROVAL;
    }

    @Override
    protected int getDaysToDecide(final ReviewerDeadlineSettings reviewerDeadlineSettings) {
        return reviewerDeadlineSettings.getRoughDraftApproval();
    }
}
